Subject: Re: Run Cygwin+Apache+PHP on win98
From: Stipe Tolj <[email-masked]>
To: kalmen <[email-masked]>
Cc: [email-masked]
Date: Sat, 15 Mar 2003 17:30:11 +0100

> I installed Cygwin on win98se , and I having problems with the execution of
> PHP code , because of the security issues of win98 , and would like to ask
> is there a way to get
> around this ,
> 
> Description of the problems
> 1. my test.php is as follow :
> #!/php/php.exe
> <?php
>      phpinfo();
> ?>
> 
> 2. if I don't put the 1st line , the apache server will complain , file
> permissions deny server execution Error
>     then if I put the 1st line , I believe PHP complain , Premature end of
> script headers, because of the 1st line ,
>     I guess.

are you sure that the httpd process owner has execute rights on the
php file?!

> my questions :
> 1. Can I get around this issues ?
> 2. And also when I installed apache php modules , it complains dlopen()
> win32 error , so I have to use the
>     php.exe , to try. Any idea ? Any reference about this issues ? , I tried
> google but found none .
>     I also tried rebase (I only thing is I am not to sure whether I do the
> right way .)

First of all win9x is *not* supported, because I don't have these
installed anywhere 
here and I can tell what happens and I can't confirm or reproduce
things.

Second, rebas'ing the DLL dependencies will work if done correctly.
You *should* find enough information in the mailing lists and in
/usr/doc/Cygwin/php-*

> 3. Is win2000 having the same issue that I have described above (the
> security issues for the execution) ?

nop, Win2000 should work. As I said, I don't have Win9x and I *can't*
support that. Sorry.

Stipe

[email-masked]
-------------------------------------------------------------------
Wapme Systems AG

Vogelsanger Weg 80
40470 Düsseldorf

Tel: +49-211-74845-0
Fax: +49-211-74845-299

E-Mail: [email-masked]
Internet: http://www.wapme-systems.de
-------------------------------------------------------------------
wapme.net - wherever you are

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/